Subject: bug#18955: Makefile:382: recipe for target 'src' failed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Nov 2014 22:33:30 +0200

> Date: Sun, 9 Nov 2014 21:25:38 +0100
> From: Alexander Shukaev <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
>     MSYS paths are not only those of the form "/c/foo". For example:
>     "/home/dani/foo", "/usr/local" and, in general any UNIX-like path are
>     valid MSYS paths.
>     
> 
> These are out of the scope right now.

They aren't: if you build Emacs from within the MSYS tree, you will
see them.  The build procedure deals with them as well.

>     Therefore, it is clear that supporting MSYS/Cygwin paths from the
>     MS-Windows port of Emacs is far more complex that simply translating
>     "/C" into "C:".
> 
> Absolute paths which are present everywhere in the daily workflow, not only
> during builds, but for instance by invoking Emacs from MSYS/Cygwin shell and
> passing paths to it, should definitely be supported, and it is as easy as my
> proposal.

People who want Cygwin file names can use the Cygwin build of Emacs.
Or use the cygwin-mount kludge.  There's no clean way to do that in
Emacs proper.  This was discussed several times in the past, so let's
not go there one more time.

Once again, the MSYS build of Emacs works reasonably well, and the
number of places where we need to use ugly kludges like
unmsys--file-name is small.  You have just found one more, it's no big
deal.  It makes little sense to me to complicate Emacs on behalf of
this.